Bug 48835 - gcc 2.96-93 internal compiler error
Summary: gcc 2.96-93 internal compiler error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 53728 56798 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 03:06 UTC by rodrigc
Modified: 2007-04-18 16:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 15:26:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped preprocessed compiler output (275.45 KB, application/octet-stream)
2001-07-12 03:11 UTC, rodrigc
no flags Details
gzipped preprocessed compiler source (275.45 KB, application/octet-stream)
2001-07-12 03:20 UTC, rodrigc
no flags Details

Description rodrigc 2001-07-12 03:06:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.1+) Gecko/20010616

Description of problem:
gcc 2.96-93 crashes on the attached preprocessed file when compiled with:

g++ -v  -W -Wall -Wpointer-arith -O3 -g +-Wno-uninitialized
-fno-implicit-templates   -D_POSIX_THREADS +-D_POSIX_THREAD_SAFE_FUNCTIONS
-D_REENTRANT -DACE_HAS_AIO_CALLS +-I/build/kitty/ACE_wrappers
-DACE_HAS_EXCEPTIONS +-I/build/kitty/ACE_wrappers/TAO  -c -fPIC  PolicyS.ii

How reproducible:
Always

Steps to Reproduce:
Compile attached file with:
g++ -v  -W -Wall -Wpointer-arith -O3 -g +-Wno-uninitialized
-fno-implicit-templates   -D_POSIX_THREADS +-D_POSIX_THREAD_SAFE_FUNCTIONS
-D_REENTRANT -DACE_HAS_AIO_CALLS +-I/build/kitty/ACE_wrappers
-DACE_HAS_EXCEPTIONS +-I/build/kitty/ACE_wrappers/TAO  -c -fPIC  PolicyS.ii


Additional info:

Comment 1 rodrigc 2001-07-12 03:11:48 UTC
Created attachment 23350 [details]
gzipped preprocessed compiler output

Comment 2 rodrigc 2001-07-12 03:20:30 UTC
Created attachment 23351 [details]
gzipped preprocessed compiler source

Comment 3 rodrigc 2001-08-17 00:52:59 UTC
Hi,

Can you see if the following patch to the FSF version
of gcc can be applied to the Red Hat version of gcc:
http://gcc.gnu.org/ml/gcc-patches/2001-08/msg00446.html

This patch fixes  GCC problem report 3189:
http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=3189&database=gcc

which is very similar to this one.

Comment 4 Jakub Jelinek 2001-08-17 06:16:06 UTC
Nope. The bug Mark was fixing is in the new exception handling code
written by Richard Henderson this spring (almost whole except.c
was rewritten among other things, libgcc parts too).
So this cannot apply, the types/functions don't exist in 2.96-RH.

Comment 5 Jakub Jelinek 2001-08-20 18:09:44 UTC
Looks like ifcvt bug which Richard Henderson fixed with
http://gcc.gnu.org/ml/gcc-patches/2001-02/msg01103.html
This patch will make it into 2.96-97.

Comment 6 Jakub Jelinek 2001-09-17 09:37:30 UTC
*** Bug 53728 has been marked as a duplicate of this bug. ***

Comment 7 Jakub Jelinek 2004-10-02 19:50:57 UTC
*** Bug 56798 has been marked as a duplicate of this bug. ***

Comment 8 David Lawrence 2006-04-10 15:26:31 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you


Note You need to log in before you can comment on or make changes to this bug.